libcairo-5c0_1.17_amd64.deb


Advertisement

Description

libcairo-5c0 - library for cairo nickle bindings

Property Value
Distribution Debian 10 (Buster)
Repository Debian Main amd64
Package filename libcairo-5c0_1.17_amd64.deb
Package name libcairo-5c0
Package version 1.17
Package release -
Package architecture amd64
Package type deb
Category libs role::shared-lib
Homepage -
License -
Maintainer Keith Packard <keithp@keithp.com>
Download size 45.57 KB
Installed size 189.00 KB
This package contains a shared library which links to the cairo
library using the nickle FFI mechanism. It exposes most of the cairo
API, although support for fonts is limited to the toy font API.

Alternatives

Package Version Architecture Repository
libcairo-5c0_1.17_i386.deb 1.17 i386 Debian Main
libcairo-5c0 - - -

Requires

Name Value
libc6 >= 2.17
libcairo2 >= 1.2.4
libfontconfig1 >= 2.12.6
libfreetype6 >= 2.2.1
libgdk-pixbuf2.0-0 >= 2.22.0
libglib2.0-0 >= 2.16.0
librsvg2-2 >= 2.26.0
libx11-6 -
libxext6 -

Replaces

Name Value
libcairo5c-0 -

Download

Type URL
Mirror ftp.br.debian.org
Binary Package libcairo-5c0_1.17_amd64.deb
Source Package cairo-5c

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libcairo-5c0 deb package:
    # sudo apt-get install libcairo-5c0

Files

Path
/usr/lib/x86_64-linux-gnu/libcairo-5c.so.0
/usr/lib/x86_64-linux-gnu/libcairo-5c.so.0.2.0
/usr/share/doc/libcairo-5c0/changelog.gz
/usr/share/doc/libcairo-5c0/copyright

Changelog

2018-10-23 - Keith Packard <keithp@keithp.com>
cairo-5c (1.17) unstable; urgency=medium
* Only run 'test.5c' test; nichrometest.5c requires X
2018-10-22 - Keith Packard <keithp@keithp.com>
cairo-5c (1.16) unstable; urgency=medium
* Fix tests/upstream syntax error so that CI can run
2018-10-04 - Keith Packard <keithp@keithp.com>
cairo-5c (1.15) unstable; urgency=medium
* Add per-surface DPI values. Fetch correct value for X. Scale
fonts.
* Fix a bunch of lintian warnings.
2017-07-13 - Keith Packard <keithp@keithp.com>
cairo-5c (1.14) unstable; urgency=medium
* Force freetype rendering to version 35.
* Only warn on text drawing test failures. Closes: #867845.
2017-07-08 - Keith Packard <keithp@keithp.com>
cairo-5c (1.13) unstable; urgency=medium
* Adapt to new fontconfig/freetype bits. Closes: #866707.
2017-06-29 - Keith Packard <keithp@keithp.com>
cairo-5c (1.12) unstable; urgency=low
* Force hinting in test font names. Closes: #866360.
2017-03-23 - Keith Packard <keithp@keithp.com>
cairo-5c (1.11) unstable; urgency=medium
* Set debian standards to 3.9.8
* Set dh compat to 10
2016-12-26 - Keith Packard <keithp@keithp.com>
cairo-5c (1.10) unstable; urgency=low
* Set date of release in man page by hand. Closes: #845524.
2016-09-20 - Keith Packard <keithp@keithp.com>
cairo-5c (1.9) unstable; urgency=low
* Add connect 3 demo application
* Protect repaint queue with mutex
* Update test images with current cairo
* Fix test suite execution.
2012-05-09 - Keith Packard <keithp@keithp.com>
cairo-5c (1.8) unstable; urgency=low
* Skip infinite recursive box resize
* Add explicit x/y 'span' for box elements
* Allow for significant pixel differences. Fixes build failures on
non-i386 machines

See Also

Package Description
libcairo-gobject-perl_1.004-3+b1_amd64.deb integrate Cairo into the Glib type system in Perl
libcairo-gobject2_1.16.0-4_amd64.deb Cairo 2D vector graphics library (GObject library)
libcairo-ocaml-dev_1.2.0-6+b2_amd64.deb OCaml bindings for Cairo
libcairo-ocaml_1.2.0-6+b2_amd64.deb OCaml bindings for Cairo (runtime)
libcairo-perl_1.106-3+b1_amd64.deb Perl interface to the Cairo graphics library
libcairo-script-interpreter2_1.16.0-4_amd64.deb Cairo 2D vector graphics library (script interpreter)
libcairo1.10-cil_2.99.3-3_amd64.deb CLI binding for Cairo
libcairo2-dev_1.16.0-4_amd64.deb Development files for the Cairo 2D graphics library
libcairo2-doc_1.16.0-4_all.deb Documentation for the Cairo Multi-platform 2D graphics library
libcairo2_1.16.0-4_amd64.deb Cairo 2D vector graphics library
libcairomm-1.0-1v5_1.12.2-4_amd64.deb C++ wrappers for Cairo (shared libraries)
libcairomm-1.0-dev_1.12.2-4_amd64.deb C++ wrappers for Cairo (development files)
libcairomm-1.0-doc_1.12.2-4_all.deb C++ wrappers for Cairo (documentation)
libcaja-extension-dev_1.20.3-1+b1_amd64.deb libraries for Caja components (development files)
libcaja-extension-doc_1.20.3-1_all.deb libraries for Caja components (API documentation files)
Advertisement
Advertisement